# Customization

Types:

```python
from nemo_platform.types.customization import Precision
```

## Jobs

Types:

```python
from nemo_platform.types.customization import (
    CustomizationJob,
    CustomizationJobInput,
    CustomizationJobOutput,
    CustomizationJobRequest,
    CustomizationJobsListFilter,
    CustomizationJobsPage,
    CustomizationJobsSortField,
    DeploymentParams,
    DistillationTraining,
    DistillationTrainingParam,
    DpoTraining,
    DpoTrainingParam,
    FinetuningType,
    IntegrationParams,
    IntegrationParamsParam,
    LoRaParams,
    MLflowParams,
    OutputNameType,
    OutputRequest,
    OutputResponse,
    ParallelismParams,
    QuantizationParams,
    SftTraining,
    SftTrainingParam,
    ToolCallParams,
    WandBParams,
)
```

Methods:

- client.customization.jobs.create(\*, workspace, \*\*params) -> CustomizationJob
- client.customization.jobs.retrieve(name, \*, workspace) -> CustomizationJob
- client.customization.jobs.list(\*, workspace, \*\*params) -> SyncDefaultPagination[CustomizationJob]
- client.customization.jobs.delete(name, \*, workspace) -> None
- client.customization.jobs.cancel(name, \*, workspace) -> CustomizationJob
- client.customization.jobs.get_logs(name, \*, workspace, \*\*params) -> SyncLogsPagination[PlatformJobLog]
- client.customization.jobs.get_status(name, \*, workspace) -> PlatformJobStatusResponse

### Results

Methods:

- client.customization.jobs.results.retrieve(name, \*, workspace, job) -> PlatformJobResultResponse
- client.customization.jobs.results.list(name, \*, workspace) -> PlatformJobListResultResponse
- client.customization.jobs.results.download(name, \*, workspace, job) -> BinaryAPIResponse
